%define version	0.3.1
%define release	%mkrel 1

%define scim_version       1.4.5
%define skim_version       1.4.5
%define libhangul_version  0.0.4

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-hangul
Summary:	Scim-hangul is a Hangul IMEngine for SCIM
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.net/projects/scim/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		scim-hangul-fix-build.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
Requires:		scim >= %{scim_version}
BuildRequires:		libhangul >= %{libhangul_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		libskim-devel >= %{skim_version}
BuildRequires:		libhangul-devel >= %{libhangul_version}
BuildRequires:		gettext-devel
BuildRequires:		automake1.9
BuildRequires:		libskim-devel >= %{skim_version}

%description
scim-hangul is a Hangul IMEngine for SCIM, which is 
ported from imhangul project. 
It supports both Hangul and Hanja input.


%package -n %{libname}
Summary:	Scim-hangul library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-hangul library.

%package skim
Summary:	Skim setup plugin for scim-hangul
Group:		System/Internationalization
Requires:	%{name} = %{version} 
Requires:       skim >= %{skim_version}

%description skim
This package contains skim setup plugin for scim-hangul.


%prep
%setup -q
%patch0 -p1
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x --disable-static --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
# note: skim loads some *.la files. Don't remove them.
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.a

%find_lang %{name}
%find_lang skim-scim-hangul

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/scim-1.0/*/IMEngine/*.la
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.la
%{_libdir}/scim-1.0/*/SetupUI/*.so

%files skim -f skim-scim-hangul.lang
%defattr(-,root,root)
%doc COPYING
%{_datadir}/apps/skim/pics/scim-hangul.png
%{_datadir}/config.kcfg/scim_hangul.kcfg
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_hangul_config.desktop


%changelog
* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdv2007.0
+ Revision: 123183
- new release
- Import scim-hangul




* Tue Nov 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release
- split off skim-scim-hangul
- (http://archives.mandrivalinux.com/cooker-i18n/2006-10/msg00017.php)
- add require libhangul

* Sun Mar 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release
- add "--disable-rpath" to avoid rpmlint errors

* Mon Dec 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.1-2.20051102.2mdk
- add BuildRequires: automake1.9 libskim-devel

* Wed Nov 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2.20051102.1mdk
- use cvs snapshot to build against skim-1.4.3

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdk
- new release

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-4mdk
- Rebuild for new scim ( 1.4.0)

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild for new scim

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release
- patch 0: update japanese translation

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-3mdk
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2mdk
- rebuild with scim-1.0.2

* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-1mdk
- new release

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-1mdk
- new release
- drop patch 0: better fix upstream

* Fri Aug 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.3-2mdk
- patch 0: fix faillure to input last charator within java app
  (Choe Hwanjin <krisna at kldp.org>)

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release
- fix {build,}requires

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.2-1mdk
- drop CXXFLAGS
- only regenerate build system if needed
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
